# Travis-CI Build for charybdis
# see travis-ci.org for details

language: c

# Use the faster container-based infrastructure.
sudo: false

matrix:
  include:
    - os: linux
      compiler: gcc
      addons:
        apt:
          sources: ['ubuntu-toolchain-r-test']
          packages: ['gcc-4.8', 'automake', 'autoconf', 'libtool', 'shtool']
      env: COMPILER=gcc-4.8

    - os: linux
      compiler: gcc
      addons:
        apt:
          sources: ['ubuntu-toolchain-r-test']
          packages: ['gcc-4.9', 'automake', 'autoconf', 'libtool', 'shtool']
      env: COMPILER=gcc-4.9

    - os: linux
      compiler: gcc
      addons:
        apt:
          sources: ['ubuntu-toolchain-r-test']
          packages: ['gcc-5', 'automake', 'autoconf', 'libtool', 'shtool']
      env: COMPILER=gcc-5

    - os: linux
      compiler: clang
      addons:
        apt:
          sources: ['ubuntu-toolchain-r-test', 'llvm-toolchain-precise-3.7']
          packages: ['clang-3.7', 'automake', 'autoconf', 'libtool', 'shtool']
      env: COMPILER=clang-3.7

    - os: osx
      compiler: clang
      env: COMPILER=clang LIBTOOLIZE=glibtoolize


osx_image: xcode7.3

cache:
  apt:
  ccache:

script:
  - bash autogen.sh
  - CC=$COMPILER ./configure
  - make -j4
  - make install
